SMSPkgSourceFlagEnum (CMDB Model API)
Keywords: com.collation.platform.model.topology.enums.SMSPkgSourceFlagEnum interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.enums
Interface SMSPkgSourceFlagEnum

All Superinterfaces:
  Enumeration

    public interface SMSPkgSourceFlagEnum

extends Enumeration

Method of reading the package source files. Values are: STORAGE_NEEDS_SPECIFYING (0) STORAGE_NO_SOURCE (1) STORAGE_DIRECT (2) STORAGE_COMPRESS (3) Specify STORAGE_NO_SOURCE when your program does not use source files. Specify STORAGE_DIRECT when the source files are taken directly from the source without compression. Use this option when the source files are located on the local server or a UNC path has been specified to a persistent storage location. Specify STORAGE_COMPRESS when the source files are to be compressed and copied to the site server. Use this option when the package source files are coming from a CD or a non-persistent medium. SMS puts the path to where the files were copied in StoredPkgPath. You cannot specify a refresh schedule when you select this option. If you call the RefreshPkgSource method, the CD or specified source medium must be in a ready state.

Field Summary
`static int` | `OTHER`
`static int` | `STORAGE_COMPRESS`
`static int` | `STORAGE_DIRECT`
`static int` | `STORAGE_NEEDS_SPECIFYING`
`static int` | `STORAGE_NO_SOURCE`
`static int` | `UNKNOWN`

Field Detail

### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

### OTHER

    static final int OTHER

See Also:
  Constant Field Values

### STORAGE_NEEDS_SPECIFYING

    static final int STORAGE_NEEDS_SPECIFYING

See Also:
  Constant Field Values

### STORAGE_NO_SOURCE

    static final int STORAGE_NO_SOURCE

See Also:
  Constant Field Values

### STORAGE_DIRECT

    static final int STORAGE_DIRECT

See Also:
  Constant Field Values

### STORAGE_COMPRESS

    static final int STORAGE_COMPRESS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD